Page MenuHomePhabricator

Change PhabricatorPhurlURLViewController to use EditEngine for commenting
ClosedPublic

Authored by amckinley on Apr 13 2017, 11:36 PM.

Details

Test Plan

Created a phurl, added some comments, confirmed that "Change Subscribers" and "Change Project Tags" are now available in the comment form.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

amckinley created this revision.Apr 13 2017, 11:36 PM
chad added a subscriber: chad.Apr 14 2017, 12:19 AM
chad added inline comments.
src/applications/phurl/controller/PhabricatorPhurlURLViewController.php
72

Shouldn't need this div.

epriestley requested changes to this revision.Apr 14 2017, 1:42 PM

One minor fix beyond @chad's note.

src/applications/phurl/controller/PhabricatorPhurlURLViewController.php
34

While we're here, you can also add:

$timeline->setQuoteRef($url->getMonogram());

That should make the "Quote Comment" action available from the dropdown on the right hand side of comments in the timeline correctly quote comments like this:

In Uxxx#yyy, @some-user-name said:

Without setQuoteRef(), the link to the comment won't populate (I think the text just falls back to something generic). You can test this by quoting a comment.

This revision now requires changes to proceed.Apr 14 2017, 1:42 PM
amckinley updated this revision to Diff 42570.Apr 17 2017, 5:15 PM
amckinley edited edge metadata.
  • requested changes
epriestley accepted this revision.Apr 17 2017, 5:18 PM
This revision is now accepted and ready to land.Apr 17 2017, 5:18 PM
amckinley marked 2 inline comments as done.Apr 17 2017, 5:18 PM
This revision was automatically updated to reflect the committed changes.